Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.signers.slhdsa
Class SLHDSAEngine

    java.lang.Object
      org.bouncycastle.crypto.signers.slhdsa.SLHDSAEngine

Direct Known Subclasses:
  SLHDSAEngine.Sha2Engine, SLHDSAEngine.Shake256Engine

public abstract class SLHDSAEngine
extends java.lang.Object

Nested Class Summary
`static class` | `SLHDSAEngine.Sha2Engine`
`static class` | `SLHDSAEngine.Shake256Engine`

Constructor Summary
`protected` | `SLHDSAEngine(int n, int w, int d, int a, int k, int h)`

Method Summary
`static AsymmetricCipherKeyPair` | `implGenerateKeyPair(SLHDSAParameters params, byte[] skSeed, byte[] skPrf, byte[] pkSeed)`
`static byte[]` | `internalGenerateSignature(SLHDSAParameters params, byte[] skSeed, byte[] skPrf, byte[] pkSeed, byte[] pkRoot, byte[] msgPrefix, byte[] msg, byte[] optRand)`
`static boolean` | `internalVerifySignature(SLHDSAParameters params, byte[] pkSeed, byte[] pkRoot, byte[] msgPrefix, byte[] msg, byte[] signature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLHDSAEngine

    protected SLHDSAEngine(int n,
                           int w,
                           int d,
                           int a,
                           int k,
                           int h)

Method Detail

### implGenerateKeyPair

    public static AsymmetricCipherKeyPair implGenerateKeyPair(SLHDSAParameters params,
                                                              byte[] skSeed,
                                                              byte[] skPrf,
                                                              byte[] pkSeed)

### internalVerifySignature

    public static boolean internalVerifySignature(SLHDSAParameters params,
                                                  byte[] pkSeed,
                                                  byte[] pkRoot,
                                                  byte[] msgPrefix,
                                                  byte[] msg,
                                                  byte[] signature)

### internalGenerateSignature

    public static byte[] internalGenerateSignature(SLHDSAParameters params,
                                                   byte[] skSeed,
                                                   byte[] skPrf,
                                                   byte[] pkSeed,
                                                   byte[] pkRoot,
                                                   byte[] msgPrefix,
                                                   byte[] msg,
                                                   byte[] optRand)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD